Last Comment Bug 648208 - Follow up to bug#630209
: Follow up to bug#630209
Status: RESOLVED FIXED
fixed-in-tracemonkey, wanted-standalo...
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: x86 OS/2
: -- normal (vote)
: ---
Assigned To: general
:
Mentors:
Depends on:
Blocks: 630209
  Show dependency treegraph
 
Reported: 2011-04-06 22:46 PDT by Dave Yeo
Modified: 2011-10-19 12:40 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix for build break (1017 bytes, patch)
2011-04-06 22:52 PDT, Dave Yeo
igor: review+
Details | Diff | Review

Description Dave Yeo 2011-04-06 22:46:12 PDT
http://hg.mozilla.org/mozilla-central/rev/c919a7271ac1 broke systems that do not have mmap.
Comment 1 Dave Yeo 2011-04-06 22:52:33 PDT
Created attachment 524358 [details] [diff] [review]
Fix for build break

Simple fix for build break. Requesting review from Igor as it was his patch that broke non-mmap builds.
Comment 2 Nicholas Nethercote [:njn] (on vacation until July 11) 2011-04-07 00:11:01 PDT
What systems don't have mmap?  I'm curious!
Comment 3 Peter Weilbacher 2011-04-07 00:18:04 PDT
OS/2 is one, according to http://hg.mozilla.org/mozilla-central/annotate/e6b318aca788/js/src/xpconnect/loader/mozJSComponentLoader.cpp#l104 it's the only one.
Comment 4 Wesley W. Garland 2011-04-16 10:31:19 PDT
http://hg.mozilla.org/tracemonkey/rev/6ccacb602162

Note You need to log in before you can comment on or make changes to this bug.